Documentation
Servers

List Servers

Returns a list of all servers for a project

GET
/
api
/
developer
/
projects
/
{projectId}
/
servers
curl -L -X GET 'https://flux.postacksolutions.com/api/developer/projects/{projectId}/servers' \
  -H 'Authorization: Bearer YOUR_TOKEN'
200
{
  "servers": [
    {
      "id": "server_abc123xyz",
      "name": "Production Server",
      "description": "Main production instance",
      "projectId": "proj_abc123xyz",
      "createdAt": "2024-01-15T10:30:00Z",
      "updatedAt": "2024-01-15T10:30:00Z",
      "isActive": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your developer access token.

Path Parameters

projectId
string
required

The unique identifier of the project

Response

200
application/json

Successful response

servers
array<object>

Array of server objects